apiVersion: apps/v1
kind: Deployment 
metadata: 
  name: nginx-deployment
spec:
  replicas: 3
  strategy:
    type: Recreate # default is RollingUpdate
  selector:
    matchLabels:
      app: nginx-app
  template:
    metadata:
      labels:
        app: nginx-app
    spec:
      containers:
      - name: nginx-cont
        image: nginx:latest
        ports:
        - containerPort: 80

# kubectl apply -f nginx-deployment.yaml